/*
 * Events search formatting
 */

/* Copied over from Dynamics - STARTS */
.event_distance {
  display: flex;
  align-items: center;
  margin-top: 10px;
  padding-top: 10px;
  border-top: 1px solid #eee;
  color: #2c3e50;
  font-weight: 600;
}

.event_distance .icon {
  margin-right: 8px;
  color: #3498db;
}

.event_distance .value {
  font-size: 0.9em;
}
/* Copied over from Dynamics - ENDS */



/* Search filter formatting STARTS */
form#search {
  max-width: 850px;
  margin: 0 auto 60px auto;
  text-align: center;
  padding: 0 10px;
}

form#search .search-location {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  gap: 10px;
  margin-bottom: 15px;
}

form#search .search-location span {
  display: flex;
  height: 36px;
  align-items: center;
}


select#distance,
input#postcode {
  border: 1px solid #c3cbd2;
  padding: 5px 10px;
  border-radius: 10px;
}

select#distance:focus,
select#distance:focus-visible,
input#postcode:focus,
input#postcode:focus-visible {
  border: 1px solid #fc5c1f !important;
  box-shadow: inherit !important;
  outline: none;
}


form#search .event-type legend {
  display: none;
}

form#search .event-type-options {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  margin-bottom: 30px; 
}

form#search .event-type-label {
  margin: 0 10px 7px 10px;
  font-weight: 400;
}


/* Search filter formatting ENDS */



/* Results cards formatting STARTS */
ul#eventsList {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  padding: 0;
  max-width: 1500px;
  margin: 0 auto 60px auto;
}

ul#eventsList li {
  display: flex;
  flex-direction: column;
}

ul#eventsList li a {
  display: block;
  width: 350px;
  background-color: #ebeef0;
  color: #365269;
  padding: 20px;
  border-radius: 10px;
  text-decoration: none !important;
}

ul#eventsList li a:hover {
  background-color: #c3cbd2;
}



ul#eventsList li .wrapper {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-items: center;
  margin-bottom: 5px;
}

ul#eventsList li .wrapper .event_type {
  display: flex;
  justify-content: flex-start;
  width: 60%;
}

ul#eventsList li .wrapper .booking_status {
  display: flex;
  justify-content: flex-end;
  width: 40%;
}

ul#eventsList li .wrapper .booking_status span {
  display: block;
  color: #ffffff;
  font-weight: 500;
  padding: 3px 11px;
  border-radius: 5px;
}

ul#eventsList li .wrapper .status-full span {
  background-color: #365269;
}

ul#eventsList li .wrapper .status-cancelled span {
  background-color: #d7263d;
}


ul#eventsList li .event_location {
  margin-bottom: 5px;
}

ul#eventsList li .event_title {
  margin-bottom: 10px;
}

ul#eventsList li .event_type {
  text-transform: uppercase;
  letter-spacing: 1px;
  font-weight: 400;
}

ul#eventsList li .event_title {
  font-size: 22px;
  line-height: 1.1;
  font-weight: 700;

}

ul#eventsList li .delivery_partner,
ul#eventsList li .event_date,
ul#eventsList li .event_time,
ul#eventsList li .event_location {
  display: flex;
  flex-direction: row;
  font-weight: 400;
}

ul#eventsList li .event_date {
  font-weight: 700;
}

ul#eventsList li .icon {
  min-width: 20px;
  text-align: center;
  margin-right: 10px;
}

ul#eventsList li .event_description .label {
  display: none;
}

ul#eventsList li .event_description .value {
  display: none;
  font-weight: 400;
}

/* Results cards formatting ENDS */
